Subject: RE: [Sip] draft-ietf-sip-asserted-identity-01

From: "Peterson, Jon" <[email-masked]>
Date: Wed, 12 Jun 2002 13:07:11 -0500

A number of comments and suggestions were not integrated into the -01 for
lack of time, not for any other reason (for example, splitting the mechanism
out into the P-Preferred-Identity header and P-Asserted-Identity header). 

I think it is reasonable to abandon the term 'hint' in the document and
replace it with something like you suggest below - it certainly isn't worth
arguing about at this length, anyway.

I am less flexible about this matter of the P- header for 'requested
identity'. I presented an argument on this mailing list some weeks ago that
enumerated the criteria for declaring something a P- header. Based on those
considerations, I believe it is out of the question that P-Asserted-Identity
should be anything other than a P- header. I also feel (though admittedly,
less strongly) that P-Preferred-Identity meets these criteria in sipchange.
The applicability of this header is very slight (it is restricted to those
cases in which neither the From field, nor any other existing SIP header,
nor the means of authentication, can express a desired identity for whatever
reason). I do not believe any of the use cases you have raised have
substantiated a genuine need for this to be standard SIP behavior.

I might also note that I see quite a bit of correspondence between you and I
on this matter in the past - I don't exactly feel that we've been ignoring
your points. I simply feel it is almost laughable to suggest that we're in
need of some standard way for a user to express their preferred identity
when there are already so many to choose from in baseline SIP. The need for
P-Preferred-Identity only arises in a very aberrant case.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, June 12, 2002 5:13 AM
> To: [email-masked]
> Subject: [Sip] draft-ietf-sip-asserted-identity-01
> 
> 
> it is very frustrating that the authors of
> draft-ietf-sip-asserted-identity-01 don't take any of the comments in
> account that they themselves don't like when they issue new 
> revisions of
> their draft.  this would be ok if they would publish a private draft,
> but we are talking about a wg draft here.
> 
> several people agreed with me that the word "hint" is not good and it
> was suggested to use the term "requested identity".  also, there was a
> proposal to include a parameter to tell what the network must 
> do in case
> it doesn't like the requested identity.
> 
> finally, even if you, against the opinion of several people, decide to
> publish the asserted identity as an informational p header document,
> because you expect someone at some later day to publish the 
> real thing,
> i don't see how how that argument would apply to requested 
> identity over
> the ua-proxy interface.  requested identity is as complete as it gets.
> 
> so at minimum the requested identity header MUST be a non p header.
> that is by the way also a very good reason to use another name for the
> ua-proxy header.
> 
> -- juha
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Wed, 12 Jun 2002 21:20:03 +0300

Peterson, Jon writes:

 > I also feel (though admittedly,

looks to me that if 3gpp doesn't need it, it not worth doing.  i have
told several times that a user having multiple sip identities, e.g.,
phone numbers, is a real life case happening here all the time.  if such
a user uses Anonymous from header, there is currently no way for the
user to tell, which real identity he/she wants to use.  therefore sip is
clearly lacking that functionality and it needs to be fixed by a real
header that i can make vendors to implement (which is not the case for p
headers).

 > P-Preferred-Identity only arises in a very aberrant case.

as i have said, there is no existing sip baseline or any other mechanism
to handle the above case.  also, i don't see anything temporary in the
requested-identity header.  or are the sip wg rules nowadays such that
all new headers by default are p unless there are really good reasons to
do real standard headers?

-- juha